AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpClientConnectionOptions Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Crt::Http::HttpClientConnectionOptions Class Reference

`#include <HttpConnection.h>`

## Public Member Functions
| HttpClientConnectionOptions ()
| HttpClientConnectionOptions (const HttpClientConnectionOptions &rhs)=default
| HttpClientConnectionOptions (HttpClientConnectionOptions &&rhs)=default
| ~HttpClientConnectionOptions ()=default
HttpClientConnectionOptions & | operator= (const HttpClientConnectionOptions &rhs)=default
HttpClientConnectionOptions & | operator= (HttpClientConnectionOptions &&rhs)=default

## Public Attributes
Io::ClientBootstrap * | Bootstrap
size_t | InitialWindowSize
OnConnectionSetup | OnConnectionSetupCallback
OnConnectionShutdown | OnConnectionShutdownCallback
String | HostName
uint16_t | Port
Io::SocketOptions | SocketOptions
Optional< Io::TlsConnectionOptions > | TlsOptions
Optional< HttpClientConnectionProxyOptions > | ProxyOptions
bool | ManualWindowManagement

## Detailed Description

Configuration structure holding all options relating to http connection establishment

## Constructor & Destructor Documentation

## ◆ HttpClientConnectionOptions() [1/3]

Aws::Crt::Http::HttpClientConnectionOptions::HttpClientConnectionOptions | ( |  | ) |

## ◆ HttpClientConnectionOptions() [2/3]

Aws::Crt::Http::HttpClientConnectionOptions::HttpClientConnectionOptions | ( | const HttpClientConnectionOptions & | rhs | ) |
| default

## ◆ HttpClientConnectionOptions() [3/3]

Aws::Crt::Http::HttpClientConnectionOptions::HttpClientConnectionOptions | ( | HttpClientConnectionOptions && | rhs | ) |
| default

## ◆ ~HttpClientConnectionOptions()

Aws::Crt::Http::HttpClientConnectionOptions::~HttpClientConnectionOptions | ( |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

HttpClientConnectionOptions & Aws::Crt::Http::HttpClientConnectionOptions::operator= | ( | const HttpClientConnectionOptions & | rhs | ) |
| default

## ◆ operator=() [2/2]

HttpClientConnectionOptions & Aws::Crt::Http::HttpClientConnectionOptions::operator= | ( | HttpClientConnectionOptions && | rhs | ) |
| default

## Member Data Documentation

## ◆ Bootstrap

Io::ClientBootstrap* Aws::Crt::Http::HttpClientConnectionOptions::Bootstrap

The client bootstrap to use for setting up and tearing down connections. Required.

## ◆ HostName

String Aws::Crt::Http::HttpClientConnectionOptions::HostName

The name of the http server to connect to. Required.

## ◆ InitialWindowSize

size_t Aws::Crt::Http::HttpClientConnectionOptions::InitialWindowSize

The TCP read window allowed for Http 1.1 connections and Initial Windows for H2 connections.

## ◆ ManualWindowManagement

bool Aws::Crt::Http::HttpClientConnectionOptions::ManualWindowManagement

If set to true, then the TCP read back pressure mechanism will be enabled. You should only use this if you're allowing http response body data to escape the callbacks. E.g. you're putting the data into a queue for another thread to process and need to make sure the memory usage is bounded. If this is enabled, you must call HttpStream::UpdateWindow() for every byte read from the OnIncomingBody callback.

## ◆ OnConnectionSetupCallback

OnConnectionSetup Aws::Crt::Http::HttpClientConnectionOptions::OnConnectionSetupCallback

The callback invoked on connection establishment, whether success or failure. See `OnConnectionSetup` for more info. Required.

## ◆ OnConnectionShutdownCallback

OnConnectionShutdown Aws::Crt::Http::HttpClientConnectionOptions::OnConnectionShutdownCallback

The callback invoked on connection shutdown. See `OnConnectionShutdown` for more info. Required.

## ◆ Port

uint16_t Aws::Crt::Http::HttpClientConnectionOptions::Port

The port of the http server to connect to. Required.

## ◆ ProxyOptions

Optional<HttpClientConnectionProxyOptions> Aws::Crt::Http::HttpClientConnectionOptions::ProxyOptions

The proxy options for the http connection. Optional.

## ◆ SocketOptions

Io::SocketOptions Aws::Crt::Http::HttpClientConnectionOptions::SocketOptions

The socket options of the connection. Required.

## ◆ TlsOptions

Optional<Io::TlsConnectionOptions> Aws::Crt::Http::HttpClientConnectionOptions::TlsOptions

The TLS options for the http connection. Optional.

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpConnection.h
- crt/aws-crt-cpp/source/http/HttpConnection.cpp